# Class: DemoConnector

## DemoConnector()

This is a demo connector used to test Mobify's scaffold. It returns canned responses, rather than making real network requests.

## Constructor

#### new DemoConnector()

Source:
  - connectors/demo-connector.js, line 31

### Methods

#### (static) fromConfig(config) → {module:@mobify/commerce-integrations/dist/connectors/demo-connector.DemoConnector}

Given a configuration in the form of a plain object, this method returns a new DemoConnector instance.

##### Parameters:

Name | Type | Description
--- | --- | ---
`config` | Object |

Source:
  - connectors/demo-connector.js, line 39

##### Returns:

The new DemoConnector instance.

Type
  module:@mobify/commerce-integrations/dist/connectors/demo-connector.DemoConnector